Debian Bug report logs - #620253
Package rails3 components

version graph

Package: src:rails; Maintainer for src:rails is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Stephen Paul Weber <singpolyma@singpolyma.net>

Date: Thu, 31 Mar 2011 15:27:02 UTC

Severity: wishlist

Merged with 638888

Found in version rails/3.0.0

Fixed in version ruby-railties-3.2/3.2.3-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Majer <adamm@zombino.com>:
Bug#620253; Package src:rails. (Thu, 31 Mar 2011 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Paul Weber <singpolyma@singpolyma.net>:
New Bug report received and forwarded. Copy sent to Adam Majer <adamm@zombino.com>. (Thu, 31 Mar 2011 15:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Paul Weber <singpolyma@singpolyma.net>
To: submit@bugs.debian.org
Subject: Package rails3 components
Date: Thu, 31 Mar 2011 10:25:06 -0500
Source: rails
Version: 3.0.0

I would really appreciate it if rails3 were to be packaged.  Especially the
rails3 components like activesupport (which is built from this source
package) which are increasingly being used in non-rails software.




Severity set to 'wishlist' from 'normal' Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 29 Aug 2011 08:33:20 GMT) Full text and rfc822 format available.

Forcibly Merged 620253 638888. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 29 Aug 2011 08:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, singpolyma@singpolyma.net, csonpatki@gmail.com, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#620253; Package src:rails. (Mon, 29 Aug 2011 08:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to singpolyma@singpolyma.net, csonpatki@gmail.com, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 29 Aug 2011 08:48:04 GMT) Full text and rfc822 format available.

Message #14 received at 620253@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <620253@bugs.debian.org>
Subject: Packaging rails 3.x
Date: Mon, 29 Aug 2011 10:46:17 +0200
Package: rails
Severity: normal

Hi,

this is just an informational email about status of Rails 3
in the Debian.

As we need to keep the Rails 2.3 framework in the Debian
because of it's dependendencies (mainly Redmine).  I have
created versioned packages from Rails 2.3 (ruby-rails-2.3,
ruby-activeresource-2.3, etc.).  This allows us to upload
Rails 3 packages simultaneously into the archive.  However
with Rails 3.1 already in the RC phase it doesn't really
make sense to have 2.3, 3.0 and 3.1 in the archive, so I
am skipping the 3.0 and I will package 3.1.rcX into the
experimental suite and upload in into the unstable when
it will go gold.

O.

-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

rails recommends no packages.

rails suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#620253; Package src:rails. (Tue, 13 Mar 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 13 Mar 2012 15:21:04 GMT) Full text and rfc822 format available.

Message #19 received at 620253@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 620253@bugs.debian.org
Subject: redmine 2 will support rails 3
Date: Tue, 13 Mar 2012 16:18:00 +0100
Hi,
the blocker being redmine here, i have some news :
we should see support for rails 3 shortly after redmine version 1.4.
This means probably in less than two months.

More info at :
http://www.redmine.org/projects/redmine/roadmap
http://www.redmine.org/issues/4796

Jérémy.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#620253; Package src:rails. (Tue, 13 Mar 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 13 Mar 2012 15:36:04 GMT) Full text and rfc822 format available.

Message #24 received at 620253@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Jérémy Lal <kapouer@melix.org>, 620253@bugs.debian.org
Subject: Re: Bug#620253: redmine 2 will support rails 3
Date: Tue, 13 Mar 2012 16:32:00 +0100
Cool.

Jéremy, would you be willing to help/co-maintain rails-3.x(3.2) packages?

With this happy news, I hope to drop rails-2.3 for wheezy.

O.

On Tue, Mar 13, 2012 at 16:18, Jérémy Lal <kapouer@melix.org> wrote:
> Hi,
> the blocker being redmine here, i have some news :
> we should see support for rails 3 shortly after redmine version 1.4.
> This means probably in less than two months.
>
> More info at :
> http://www.redmine.org/projects/redmine/roadmap
> http://www.redmine.org/issues/4796
>
> Jérémy.
>
>
>
>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#620253; Package src:rails. (Tue, 13 Mar 2012 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Tue, 13 Mar 2012 15:42:06 GMT) Full text and rfc822 format available.

Message #29 received at 620253@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: 620253@bugs.debian.org
Subject: Re: Bug#620253: redmine 2 will support rails 3
Date: Tue, 13 Mar 2012 16:39:17 +0100
Ondřej,

I think i'll be motivated by the time redmine use it :)
Did you start some work on ruby-rails-3.2, even if it's only setting up
collab-maint repository ?

Jérémy.

On 13/03/2012 16:32, Ondřej Surý wrote:
> Cool.
> 
> Jéremy, would you be willing to help/co-maintain rails-3.x(3.2) packages?
> 
> With this happy news, I hope to drop rails-2.3 for wheezy.
> 
> O.
> 
> On Tue, Mar 13, 2012 at 16:18, Jérémy Lal <kapouer@melix.org> wrote:
>> Hi,
>> the blocker being redmine here, i have some news :
>> we should see support for rails 3 shortly after redmine version 1.4.
>> This means probably in less than two months.
>>
>> More info at :
>> http://www.redmine.org/projects/redmine/roadmap
>> http://www.redmine.org/issues/4796
>>
>> Jérémy.
>>
>>
>>
>>
> 
> 
> 





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 25 Apr 2012 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 21:48:25 GMT) Full text and rfc822 format available.

Notification sent to Stephen Paul Weber <singpolyma@singpolyma.net>:
Bug acknowledged by developer. (Wed, 23 May 2012 21:48:25 GMT) Full text and rfc822 format available.

Message #36 received at 620253-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 620253-close@bugs.debian.org
Subject: Bug#620253: fixed in ruby-railties-3.2 3.2.3-1
Date: Wed, 23 May 2012 21:47:53 +0000
Source: ruby-railties-3.2
Source-Version: 3.2.3-1

We believe that the bug you reported is fixed in the latest version of
ruby-railties-3.2, which is due to be installed in the Debian FTP archive:

ruby-railties-3.2_3.2.3-1.debian.tar.gz
  to main/r/ruby-railties-3.2/ruby-railties-3.2_3.2.3-1.debian.tar.gz
ruby-railties-3.2_3.2.3-1.dsc
  to main/r/ruby-railties-3.2/ruby-railties-3.2_3.2.3-1.dsc
ruby-railties-3.2_3.2.3-1_all.deb
  to main/r/ruby-railties-3.2/ruby-railties-3.2_3.2.3-1_all.deb
ruby-railties-3.2_3.2.3.orig.tar.gz
  to main/r/ruby-railties-3.2/ruby-railties-3.2_3.2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620253@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated ruby-railties-3.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 May 2012 13:41:27 +0200
Source: ruby-railties-3.2
Binary: ruby-railties-3.2
Architecture: source all
Version: 3.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 ruby-railties-3.2 - MVC ruby based framework geared for web application development
Closes: 620253
Changes: 
 ruby-railties-3.2 (3.2.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #620253)
   * Update copyright to match all nested code (SyntaxHighlighter and
     Icons from DocBook XSL project)
   * Add raw source code for SyntaxHighlighter
Checksums-Sha1: 
 255c6d631eca1a3d3dac48de9df6acb932806dfb 1734 ruby-railties-3.2_3.2.3-1.dsc
 ef640cb666be55af3b6a8d08df9270a6e519fddb 1631329 ruby-railties-3.2_3.2.3.orig.tar.gz
 a3c5f42b8fbe0548b783b1cd400aee9f4d3f5dfd 20027 ruby-railties-3.2_3.2.3-1.debian.tar.gz
 f59d6e8ed3ea9ac081b79b907bd2a5094316b837 159150 ruby-railties-3.2_3.2.3-1_all.deb
Checksums-Sha256: 
 39faf32179cf8d23caedcf0a60b7227476b9710a725c5c5bcb8630fd6473c8e4 1734 ruby-railties-3.2_3.2.3-1.dsc
 164f5fcad9b95de9b3752977107ff6efe1ab64b90af6137aa5686b69937482e7 1631329 ruby-railties-3.2_3.2.3.orig.tar.gz
 6a8985161fe746910440aecc4ed5fc60feb12040f704afd69ce5fcd9e1dfff1e 20027 ruby-railties-3.2_3.2.3-1.debian.tar.gz
 de344804a3802ce0f346e633e631921d8b2b7567f98a6f31c3499ee5f7872692 159150 ruby-railties-3.2_3.2.3-1_all.deb
Files: 
 039c048abf8564f618cc3ed324141f5f 1734 ruby optional ruby-railties-3.2_3.2.3-1.dsc
 9cd7ac73f954165ac8ecae7e4a8cf415 1631329 ruby optional ruby-railties-3.2_3.2.3.orig.tar.gz
 301a20073464a3dabc359c4725233365 20027 ruby optional ruby-railties-3.2_3.2.3-1.debian.tar.gz
 36edb5cc8351fb92f48e80c954740dd2 159150 ruby optional ruby-railties-3.2_3.2.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+8zWUACgkQ9OZqfMIN8nN4MwCfYo4vKnDJpkMdA79CkW92x3UQ
moIAoKo+z2Ty3OQ6yByKVpbvtTtlI00P
=9loh
-----END PGP SIGNATURE-----





Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 21:48:26 GMT) Full text and rfc822 format available.

Notification sent to prathamesh sonpatki <csonpatki@gmail.com>:
Bug acknowledged by developer. (Wed, 23 May 2012 21:48:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jun 2012 07:38:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:54:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.